apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "don.fullname" . }}-linkchecker
  labels:
    {{- include "don.labels" . | nindent 4 }}
spec:
  schedule: {{ .Values.cronJobs.linkchecker.schedule | quote }}
  concurrencyPolicy: Forbid
  suspend: {{ not .Values.cronJobs.linkchecker.enabled }}
  successfulJobsHistoryLimit: 1
  timeZone: CET
  jobTemplate:
    spec:
      backoffLimit: 2
      template:
        metadata:
          labels:
            {{- include "don.selectorLabels" . | nindent 12 }}
        spec:
          restartPolicy: Never
          containers:
            - name: python
              securityContext:
                {{- toYaml .Values.securityContext | nindent 16 }}
              image: {{ printf "%s:%s" .Values.image.repository .Values.image.tag }}
              imagePullPolicy: {{ .Values.image.pullPolicy }}
              command: ["/app/venv/bin/python3"]
              args: ["manage.py", "check_links"]
              env:
                {{- include "don.djangoBaseEnvironment" . | nindent 16 }}
                - name: GITLAB_PROJECT_ID
                  value: {{ .Values.config.gitlabProjectID | quote }}
                - name: GITLAB_ACCESS_TOKEN
                  valueFrom:
                    secretKeyRef:
                      name: {{ include "don.fullname" . }}
                      key: gitlab-access-token
              {{- if .Values.config.linkcheckerFailureThreshold }}
                - name: LINKCHECKER_FAILURE_THRESHOLD
                  value: {{ .Values.config.linkcheckerFailureThreshold | quote }}
              {{- end }}
